The Job Card Time Log object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
from_time string
to_time string
time_in_mins number
completed_qty number

Default: 0

employee string
operation string
The Job Card Time Log object
{
  "id": "job-card-time-log_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "from_time": "from_time_example",
  "to_time": "to_time_example",
  "time_in_mins": 0,
  "completed_qty": 0,
  "employee": "employee_example",
  "operation": "operation_example"
}
GET /api/manufacturing/job-card-time-log?parent_id={id}

List job card time logs by parent

Returns all job card time logs belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of job card time log objects belonging to the parent.

GET /api/manufacturing/job-card-time-log?parent_id={id}
curl https://api.overplane.dev/api/manufacturing/job-card-time-log?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "job-card-time-log_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "from_time": "from_time_example",
      "to_time": "to_time_example",
      "time_in_mins": 0,
      "completed_qty": 0,
      "employee": "employee_example",
      "operation": "operation_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/manufacturing/job-card-time-log

Create a job card time log

Creates a new job card time log object.

Body parameters

idx integer
parent_id string required
parent_type string required
from_time string
to_time string
time_in_mins number
completed_qty number

Default: 0

employee string
operation string

Returns

Returns the newly created job card time log object if the call succeeded.

POST /api/manufacturing/job-card-time-log
curl https://api.overplane.dev/api/manufacturing/job-card-time-log \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example"}'
Response
{
  "id": "job-card-time-log_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "from_time": "from_time_example",
  "to_time": "to_time_example",
  "time_in_mins": 0,
  "completed_qty": 0,
  "employee": "employee_example",
  "operation": "operation_example"
}
PATCH /api/manufacturing/job-card-time-log/{id}

Update a job card time log

Updates the specified job card time log by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the job card time log to update.

Body parameters

idx integer
parent_id string
parent_type string
from_time string
to_time string
time_in_mins number
completed_qty number

Default: 0

employee string
operation string

Returns

Returns the updated job card time log object.

PATCH /api/manufacturing/job-card-time-log/{id}
curl https://api.overplane.dev/api/manufacturing/job-card-time-log/job-card-time-log_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "job-card-time-log_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "from_time": "from_time_example",
  "to_time": "to_time_example",
  "time_in_mins": 0,
  "completed_qty": 0,
  "employee": "employee_example",
  "operation": "operation_example"
}
DELETE /api/manufacturing/job-card-time-log/{id}

Delete a job card time log

Permanently deletes a job card time log. This cannot be undone.

Path parameters

id string required

The identifier of the job card time log to delete.

Returns

Returns a confirmation that the job card time log has been deleted.

DELETE /api/manufacturing/job-card-time-log/{id}
curl https://api.overplane.dev/api/manufacturing/job-card-time-log/job-card-time-log_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "job-card-time-log_abc123",
  "deleted": true
}
POST /api/manufacturing/job-card-time-log/reorder

Reorder job card time logs

Updates the sort order of job card time logs within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/manufacturing/job-card-time-log/reorder
curl https://api.overplane.dev/api/manufacturing/job-card-time-log/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "job-card-time-log_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "from_time": "from_time_example",
  "to_time": "to_time_example",
  "time_in_mins": 0,
  "completed_qty": 0,
  "employee": "employee_example",
  "operation": "operation_example"
}